<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.mapper.user.ManageListMapper">
	<resultMap type="com.njcn.pojo.user.ManageList" id="ManageListMap" autoMapping="true">
	<id property="res_Index" column="RES_INDEX"/>
	</resultMap>
	<!-- 根据guid查询 -->
	<select id="selectOneByIndex" resultMap="ManageListMap">
SELECT RES_INDEX,NAME,DESCRIPTION,RES_URL,UPDATEUSER,UPDATETIME,STATE,SYSTYPE FROM PQS_ResInformation WHERE RES_INDEX =#{res_Index} and state=1
</select>
	<update id="deleteIndex">
update PQS_ResInformation set state=0 where RES_INDEX =#{res_Index}
</update>
	<select id="getBasemang" resultMap="ManageListMap">
	select * from PQS_RESINFORMATION where STATE=1 and type ='93290044-2c03-4587-8319-4f604af7a80f' and
	SYSTYPE=#{sysType}
</select>
	<select id="getReport" resultMap="ManageListMap">
    select * from PQS_RESINFORMATION where STATE=1 and type ='6da9882c-aba0-439e-8e04-dc6695bfc49c' and
	SYSTYPE=#{sysType}
</select>
	<select id="getSub" resultMap="ManageListMap">
    select * from PQS_RESINFORMATION where STATE=1 and type ='3c81323b-9de6-43a1-b90a-d395aa76ed61' and
	SYSTYPE=#{sysType}
</select>
</mapper>